/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Product subscribed on the policy.
 */
@ApiModel(description = "Product subscribed on the policy.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ProductSummary {
  @SerializedName("code")
  private String code = null;

  @SerializedName("guarantees")
  private Guarantees guarantees = null;

  public ProductSummary code(String code) {
    this.code = code;
    return this;
  }

   /**
   * Product code.
   * @return code
  **/
  @ApiModelProperty(value = "Product code.")
  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public ProductSummary guarantees(Guarantees guarantees) {
    this.guarantees = guarantees;
    return this;
  }

   /**
   * Get guarantees
   * @return guarantees
  **/
  @ApiModelProperty(value = "")
  public Guarantees getGuarantees() {
    return guarantees;
  }

  public void setGuarantees(Guarantees guarantees) {
    this.guarantees = guarantees;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ProductSummary productSummary = (ProductSummary) o;
    return Objects.equals(this.code, productSummary.code) &&
        Objects.equals(this.guarantees, productSummary.guarantees);
  }

  @Override
  public int hashCode() {
    return Objects.hash(code, guarantees);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ProductSummary {\n");
    
    sb.append("    code: ").append(toIndentedString(code)).append("\n");
    sb.append("    guarantees: ").append(toIndentedString(guarantees)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

